Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 07/06/2008, à 13:39

KS-Icare

L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

L'Autre Manière d'Installer VirtualBox sous Ubuntu Hardy Heron Avec Support USB

(Bien sûr pour les nouveaux, il faut copier-coller ceci dans un terminal)


Installation build-essential linux-headers. (Indispensable)


sudo apt-get install build-essential linux-headers-`uname -r`

Si vous avez la version 32Bits i386. (Ajoutez ce dépôt)

wget http://www.virtualbox.org/download/1.5.6/virtualbox_1.5.6-28266_Ubuntu_hardy_i386.deb ; sudo dpkg -i virtualbox_1.5.6-28266_Ubuntu_hardy_i386.deb


Pour La Version 64Bits amd64. (Ajoutez ce dépôt)

wget http://www.virtualbox.org/download/1.5.6/virtualbox_1.5.6-28266_Ubuntu_hardy_amd64.deb ; sudo dpkg -i virtualbox_1.5.6-28266_Ubuntu_hardy_amd64.deb


Installation de VirtualBox, copier-coller ceci dans un terminal


sudo sh -c 'echo "# VirtualBox repository for Ubuntu Gutsy
deb http://www.virtualbox.org/debian gutsy non-free" \
> /etc/apt/sources.list.d/gutsy-virtualbox.list'
wget http://www.virtualbox.org/debian/innotek.asc -O- | sudo apt-key add -
sudo apt-get update
sudo apt-get -y install virtualbox


Autoriser l'utilisation de VirtualBox par votre compte utilisateur:


sudo adduser $USER vboxusers


ou bien la plus simple


sudo adduser $LOGNAME vboxusers


Activation du Support USB dans le fichier mountdevsubfs.sh:


sudo gedit /etc/init.d/mountdevsubfs.sh


Chercher ceci dans mountdevsubfs.sh:


#
# Magic to make /proc/bus/usb work
#
#mkdir -p /dev/bus/usb/.usbfs
#domount usbfs "" /dev/bus/usb/.usbfs -obusmode=0700,devmode=0600,listmode=0644
#ln -s .usbfs/devices /dev/bus/usb/devices
#mount --rbind /dev/bus/usb /proc/bus/usb


Et Remplacer par ceci:


#
# Magic to make /proc/bus/usb work
#
mkdir -p /dev/bus/usb/.usbfs
domount usbfs "" /dev/bus/usb/.usbfs -obusmode=0700,devmode=0600,listmode=0644
ln -s .usbfs/devices /dev/bus/usb/devices
mount --rbind /dev/bus/usb /proc/bus/usb


Vérification VirtualBox par votre compte utilisateur


grep vbox /etc/group


vous aurez ceci:


vboxusers:x:124:[votre compte utilisateur]


Modification du fichier fstab:


sudo gedit /etc/fstab


A la fin du fichier rajouter ce qui suit:


## usbfs is the USB group in fstab file:
none /proc/bus/usb usbfs devgid=124,devmode=664 0 0


Dernière modification du fichier mountkernfs.sh:

sudo gedit /etc/init.d/mountkernfs.sh

Ajoutez à votre fichier "mountkernfs.sh"

## Mount the usbfs for use with Virtual Box
    domount usbfs usbdevfs /proc/bus/usb -onoexec,nosuid,nodev,devgid=124,devmode=664

Vous devez avoir normalement ce qui suit:

#! /bin/sh
### BEGIN INIT INFO
# Provides:          mountkernfs
# Required-Start:
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Mount kernel virtual file systems.
# Description:       Mount initial set of virtual filesystems the kernel
#                    provides and that are required by everything.
### END INIT INFO

PATH=/lib/init:/sbin:/bin

. /lib/lsb/init-functions
. /lib/init/mount-functions.sh

do_start () {
	#
	# Mount proc filesystem on /proc
	#
	domount proc "" /proc -onodev,noexec,nosuid

	#
	# Mount sysfs on /sys
	#
	domount sysfs "" /sys -onodev,noexec,nosuid

	# Mount /var/run and /var/lock as tmpfs.
	domount tmpfs "" /var/run -omode=0755,nodev,noexec,nosuid
	domount tmpfs "" /var/lock -omode=1777,nodev,noexec,nosuid

	# Mount spufs, if Cell Broadband processor is detected
	if mountpoint -q /proc && grep -qs '^cpu.*Cell' /proc/cpuinfo; then
		mkdir -p /spu
		domount spufs "" /spu -ogid=spu
	fi

	## Mount the usbfs for use with Virtual Box
	domount usbfs usbdevfs /proc/bus/usb -onoexec,nosuid,nodev,devgid=124,devmode=664

	# Propagate files from the initramfs to our new /var/run.
	for file in /dev/.initramfs/varrun/*; do
		[ -e "$file" ] || continue
		cp -a "$file" "/var/run/${x#/dev/.initramfs/varrun/}"
	done

	if [ ! -d /var/run/sendsigs.omit.d/ ]; then
		mkdir /var/run/sendsigs.omit.d/
	fi
}

case "$1" in
  "")
	echo "Warning: mountvirtfs should be called with the 'start' argument." >&2
	do_start
	;;
  start)
	do_start
	;;
  restart|reload|force-reload)
	echo "Error: argument '$1' not supported" >&2
	exit 3
	;;
  stop)
	# No-op
	;;
  *)
	echo "Usage: mountvirtfs [start|stop]" >&2
	exit 3
	;;
esac

Rebootez votre PC


Lancer VirtualBox. Allez dans Préférences de VirtualBox

Activer le contrôleur USB.

Fermer et redémarrer VirtualBox


Brancher votre support USB

Dans Préférences de VirtualBox --> Filtres Périphériques USB, ajouter à partir de...

Cochez la case de votre support reconnu.

Faites celà pour chaque Périphérique que vous avez.


Activer aussi le support Audio, pour moi c'est le Pilote audio ALSA

Pour le Pilote Graphique, Lancez votre système Virtualisé que vous avez installez, sans clickez à l'intérieur de la fenêtre de votre système Virtualisé, Allez dans [Périphériques] (dans la fenêtre de votre système Virtualisé) et activer Installer les additions client...

Dans les Paramètres de votre système Virtualisé, installer votre carte graphique.

Par Exemple votre Win... c'est : Installer le logiciel automatiquement...

Vous pouvez choisir votre résolution et même en plein ecran.

Autre chose si le noyau change par la suite  et que virtualBox ne se lance pas...clickez sur

"virtualbox_1.5.6-28266_Ubuntu_hardy_amd64.deb" ou 

"virtualbox_1.5.6-28266_Ubuntu_hardy_i386.deb" pour le réinstaller. c'est tout


J'espère que j'étais assez clair.

KS-Icare.

Dernière modification par KS-Icare (Le 17/06/2008, à 19:45)


Acer Aspire 9920G-500Go LinuxMint 9 - 32Bits - ASUS 1201N -Ubuntu 10.04 LTS
ASUS 8730 500 Go Debian Squeeze - Et d'autres Distributions sous clés USB.
______________________________________________________________
Pas de multiboot - Totalement sous LINUX depuis la sortie d'Ubuntu 7.04

Hors ligne

#2 Le 07/06/2008, à 15:54

jajaX

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

salut

merci pour ce tuto.

simple question quand même, tu parles de la version 1.5.6. la version 1.6 est pas sortie déjà ?


@+ jajaX [Membre de Breizhtux : LUG de Saint Brieuc]
ACER Aspire 8930G 904G50Bn & HP dv7 2230f sous Kubuntu 14.04 The Trusty Tahr (64 bits) & KDE SC 4.13.2/Amarok 2.8
ACER Aspire 5612 WLMI & HP Compaq NX6310 sous kubuntu 14.04 The Trusty Tahr (32 bits) & KDE SC 4.13.2/Amarok 2.8

Hors ligne

#3 Le 07/06/2008, à 19:22

KS-Icare

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

C'est gentil de ta part jajaX

C'est bien,  pour la version 1.5.6

Mais pour la version virtualbox_1.6.2-31466

Télécharger la version virtualbox_1.6.2-31466_Ubuntu_hardy_amd64.deb ou bien

virtualbox_1.6.2-31466_Ubuntu_hardy_i386.deb

Installez-là par dessus en cliquant sur le fichier en question et vous ne perdez pas vos réglages

ni votre partition virtualisée.

A+

Dernière modification par KS-Icare (Le 07/06/2008, à 20:28)


Acer Aspire 9920G-500Go LinuxMint 9 - 32Bits - ASUS 1201N -Ubuntu 10.04 LTS
ASUS 8730 500 Go Debian Squeeze - Et d'autres Distributions sous clés USB.
______________________________________________________________
Pas de multiboot - Totalement sous LINUX depuis la sortie d'Ubuntu 7.04

Hors ligne

#4 Le 07/06/2008, à 23:34

jajaX

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

ok merci à toi wink


@+ jajaX [Membre de Breizhtux : LUG de Saint Brieuc]
ACER Aspire 8930G 904G50Bn & HP dv7 2230f sous Kubuntu 14.04 The Trusty Tahr (64 bits) & KDE SC 4.13.2/Amarok 2.8
ACER Aspire 5612 WLMI & HP Compaq NX6310 sous kubuntu 14.04 The Trusty Tahr (32 bits) & KDE SC 4.13.2/Amarok 2.8

Hors ligne

#5 Le 08/06/2008, à 11:16

glonull

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Ne faites pas comme moi, ne sciez pas la branche ....
Pour des raisons de mobilité (je me déplace souvent qu'avec mon dique USB) j'ai installé ubuntu sur un disque usb et j'ai également sur ce même disque Windows XP (machine virtuelle Virtualbox).
Cela me permet de me déplacer aussi bien avec mes os préférés, mes programmes préféres et mes données.
J'ai suivi la procédure d'installation USB; et j'ai A TORT mis un filtre sur mon disque USB; en lançant la machine virtuelle, j'ai donc planté ubuntu, normal.
Si vous êtes dans mon cas, l'OS sur un disque USB (pour une clé ce doit être la même chose je pense,) ne sourtout pas mettre un filtre USB dans la VM pour ce dernier.
Sinon, après avoir remédié à cela, tout est ok avec la dernière version virtualbox_1.6.2-31466_Ubuntu_hardy_i386.deb trouvée sur le site Sun.

Hors ligne

#6 Le 08/06/2008, à 12:30

dekans

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

je vois 2 installations consécutives de virtualbox...
en télécharge le deb direct puis via les dépots.

Sinon pour pinailler 'gksu gedit' en lieu et place de 'sudo gedit' serait appréciable.

Enfin, dans /etc/init.d/mountkernfs.sh je n'ai pas du tout d'instruction pour l'USB, je l'ai ajoutée je verrai bien.
et je dois lancer ce script avec l'argument 'start', sans argument il ne se lance pas.


dekans@jabber.kubuntu-fr.org

Hors ligne

#7 Le 08/06/2008, à 15:17

KS-Icare

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Salut dekans,

Il y a une petite amélioration entre la version virtualbox_1.5.6 et la version virtualbox_1.6.2 mais minime.

j'ai proposé le tuto par le biais du dépôt de la version virtualbox_1.5.6, uniquement parce que la version virtualbox_1.6.2 n'est pas encore via dépôt. c'est la seule raison.

Je voulais faire plus simple pour les personnes qui débutent sous Linux 'gksu gedit' ou 'sudo gedit' Tous les chemins mènent à Rome...

Dernière modification par KS-Icare (Le 08/06/2008, à 15:18)


Acer Aspire 9920G-500Go LinuxMint 9 - 32Bits - ASUS 1201N -Ubuntu 10.04 LTS
ASUS 8730 500 Go Debian Squeeze - Et d'autres Distributions sous clés USB.
______________________________________________________________
Pas de multiboot - Totalement sous LINUX depuis la sortie d'Ubuntu 7.04

Hors ligne

#8 Le 14/06/2008, à 12:29

Super_maçoN

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Bonjour,

Tout d'abord un grand merci pour le tuto, il est très clair ( et vindiou ce que j'apprécie ^^ ).

J'ai juste un petit souci, je présume que ce n'est pas grand chose, je suis dans le même cas que dekans, j'ai du rajouter la ligne lors de la dernière édition du fichier mountkernfs.sh ( j'ai des doutes sur l'endroit où la rajouter d'ailleurs ).
Juste pour  vérfification :

#! /bin/sh
### BEGIN INIT INFO
# Provides:          mountkernfs
# Required-Start:
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Mount kernel virtual file systems.
# Description:       Mount initial set of virtual filesystems the kernel
#                    provides and that are required by everything.
### END INIT INFO

PATH=/lib/init:/sbin:/bin

. /lib/lsb/init-functions
. /lib/init/mount-functions.sh

do_start () {
	#
	# Mount proc filesystem on /proc
	#
	domount proc "" /proc -onodev,noexec,nosuid

## Mount the usbfs for use with Virtual Box
domount usbfs usbdevfs /proc/bus/usb -onoexec,nosuid,nodev,devgid=124,devmode=664


	#
	# Mount sysfs on /sys
	#
	domount sysfs "" /sys -onodev,noexec,nosuid

	# Mount /var/run and /var/lock as tmpfs.
	domount tmpfs "" /var/run -omode=0755,nodev,noexec,nosuid
	domount tmpfs "" /var/lock -omode=1777,nodev,noexec,nosuid

	# Mount spufs, if Cell Broadband processor is detected
	if mountpoint -q /proc && grep -qs '^cpu.*Cell' /proc/cpuinfo; then
		mkdir -p /spu
		domount spufs "" /spu -ogid=spu
	fi

	# Propagate files from the initramfs to our new /var/run.
	for file in /dev/.initramfs/varrun/*; do
		[ -e "$file" ] || continue
		cp -a "$file" "/var/run/${x#/dev/.initramfs/varrun/}"
	done

	if [ ! -d /var/run/sendsigs.omit.d/ ]; then
		mkdir /var/run/sendsigs.omit.d/
	fi
}

case "$1" in
  "")
	echo "Warning: mountvirtfs should be called with the 'start' argument." >&2
	do_start
	;;
  start)
	do_start
	;;
  restart|reload|force-reload)
	echo "Error: argument '$1' not supported" >&2
	exit 3
	;;
  stop)
	# No-op
	;;
  *)
	echo "Usage: mountvirtfs [start|stop]" >&2
	exit 3
	;;
esac

Et pareil, il me demande l'argument start au moment de lancer le mountkernfs.sh.

bernie@bernie-laptop:~$ sudo /etc/init.d/mountkernfs.sh
Warning: mountvirtfs should be called with the 'start' argument.

Et c'est ballo, je ne sais pas ce qu'est un argument, ou comment le "rajouter" :s


www

Hors ligne

#9 Le 14/06/2008, à 19:07

KS-Icare

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Salut  Super MaçoN !!!

Voici la clé.


#! /bin/sh
### BEGIN INIT INFO
# Provides:          mountkernfs
# Required-Start:
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Mount kernel virtual file systems.
# Description:       Mount initial set of virtual filesystems the kernel
#                    provides and that are required by everything.
### END INIT INFO

PATH=/lib/init:/sbin:/bin

. /lib/lsb/init-functions
. /lib/init/mount-functions.sh

do_start () {
	#
	# Mount proc filesystem on /proc
	#
	domount proc "" /proc -onodev,noexec,nosuid

	#
	# Mount sysfs on /sys
	#
	domount sysfs "" /sys -onodev,noexec,nosuid

	# Mount /var/run and /var/lock as tmpfs.
	domount tmpfs "" /var/run -omode=0755,nodev,noexec,nosuid
	domount tmpfs "" /var/lock -omode=1777,nodev,noexec,nosuid

	# Mount spufs, if Cell Broadband processor is detected
	if mountpoint -q /proc && grep -qs '^cpu.*Cell' /proc/cpuinfo; then
		mkdir -p /spu
		domount spufs "" /spu -ogid=spu
	fi

	## Mount the usbfs for use with Virtual Box
	domount usbfs usbdevfs /proc/bus/usb -onoexec,nosuid,nodev,devgid=124,devmode=664

	# Propagate files from the initramfs to our new /var/run.
	for file in /dev/.initramfs/varrun/*; do
		[ -e "$file" ] || continue
		cp -a "$file" "/var/run/${x#/dev/.initramfs/varrun/}"
	done

	if [ ! -d /var/run/sendsigs.omit.d/ ]; then
		mkdir /var/run/sendsigs.omit.d/
	fi
}

case "$1" in
  "")
	echo "Warning: mountvirtfs should be called with the 'start' argument." >&2
	do_start
	;;
  start)
	do_start
	;;
  restart|reload|force-reload)
	echo "Error: argument '$1' not supported" >&2
	exit 3
	;;
  stop)
	# No-op
	;;
  *)
	echo "Usage: mountvirtfs [start|stop]" >&2
	exit 3
	;;
esac

Acer Aspire 9920G-500Go LinuxMint 9 - 32Bits - ASUS 1201N -Ubuntu 10.04 LTS
ASUS 8730 500 Go Debian Squeeze - Et d'autres Distributions sous clés USB.
______________________________________________________________
Pas de multiboot - Totalement sous LINUX depuis la sortie d'Ubuntu 7.04

Hors ligne

#10 Le 17/06/2008, à 12:44

Super_maçoN

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Salut KS-Icare, et merci pour ta réponse ( désolé d'avoir pris aussi longtemps pour répondre, une fin de semaine relou hmm ).

J'ai copier ton fichier mountkernfs.sh, mais soit j'ai du louper une étape, soit je reste sur le problème de la clé.
J'ai cette réponse dans la console :

bernie@bernie-laptop:~$ sudo /etc/init.d/mountkernfs.sh
[sudo] password for bernie: 
/etc/init.d/mountkernfs.sh: 1: Code:: not found
Warning: mountvirtfs should be called with the 'start' argument.

Peut être faut il que je reprenne le tuto depuis le début ?

Encore merci pour ton aide smile


www

Hors ligne

#11 Le 17/06/2008, à 19:11

KS-Icare

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Salut Super_maçoN,

Si tu n'utilises pas l'Editeur de texte "gedit" tu ne pourras pas lancer mountkernfs.sh

Le Bon Code est :

sudo gedit /etc/init.d/mountkernfs.sh

Pour l'Initialisation du fichier "mountkernfs.sh"

Il Faut Juste Rebooter le PC.

Dernière modification par KS-Icare (Le 17/06/2008, à 19:48)


Acer Aspire 9920G-500Go LinuxMint 9 - 32Bits - ASUS 1201N -Ubuntu 10.04 LTS
ASUS 8730 500 Go Debian Squeeze - Et d'autres Distributions sous clés USB.
______________________________________________________________
Pas de multiboot - Totalement sous LINUX depuis la sortie d'Ubuntu 7.04

Hors ligne

#12 Le 18/06/2008, à 11:23

Super_maçoN

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Hey oui ok, c'est moi qui n'avait tilté sur ce qu'on faisait avec ce tuto, j'ai fait le boulet :s

En fait je crois que c'était bon, mais il fallait que je réinstalle la version 1.6.2-31466 ( que j'avais déjà mise ).
Ça marche maintenant, merci beaucoup KS-Icare smile

Par contre, ça m'a enlevé le fonctionnement de ma tablette graphique :s
Je m'explique, j'ai une tablette graphique série, branchée a mon pc avec un adaptateur usb ( c'est un portable, pas de port série ).  J'ai donc du modifier le Xorg.conf en donnant "l'adresse" de la tablette comme un dev/ttyUSB0...C'est balo maintenant que j'arrive a avoir mon adaptateur détecté sous vbox, il ne marche plus sous mon os principale.

Je vais fouiner un peu de ce coté là, voir si je peux trouver une solution.

Edit : Arf bon peut être que ça n'a rien a voir en finalement, j'ai réedité les trois fichiers que l'on modifie pendant le tuto ( fstab, mountdevsubfs.sh et mountkernfs.sh ) afin de revenir au point de départ, mais ma tablette ne fonctionne toujours plus. Je n'ai plus l'entrée /dev/ttyUSB0 quand je rentre un ls dans la console ( dans le répertoire /dev ).
Aie aie, c'est la cata :s

Re-edit : Bon, j'ai quelques niouzes. Pour ceux qui seraient dans le même cas que moi ( adaptateur serie/usb keyspan, mouais, on sait jamais ^^ ), je ne capte pas trop comment j'ai fait, mais en enlevant tous les paquets liés a vbox ça remarche. C'est très étrange, je ne comprends pas en quoi vbox pourrait moodifié le kernel, ou même les entrées dans le repertoire /dev ( mon /dev/ttyUSB0 ayant disparu ), mais ayant un boulot dans la semaine qui arrive, je ne peux me permettre de réessayer afin de voir quand le problème intervient ( j'ai besoin de la tablette ) je referai l'installation de vbox avec le tuto dans 2/3 semaines.
Bref, 99% des lecteurs de ce topique s'en foutent surement, alors je ne vais pas m'étaler, mais si un gugus a cette config, qu'il avance avec prudence. Woula smile

Dernière modification par Super_maçoN (Le 19/06/2008, à 13:54)


www

Hors ligne

#13 Le 20/06/2008, à 16:55

fredthefrenchy

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Salut,

Un truc que je ne comprends pas : pourquoi gutsy et pas hardy :

sudo sh -c 'echo "# VirtualBox repository for Ubuntu Gutsy
deb http://www.virtualbox.org/debian gutsy non-free" \

D'ailleurs, j'ai une erreur avec synaptic :

Impossible de récupérer http://www.virtualbox.org/debian/dists/hardy/non-free/binary-amd64/Packages.gz  403 Forbidden
Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

Idem avec Gutsy sad


A priori, pour ceux qui avait ce dépot et qui avait déjà virtualbox d'installé, il suffit de faire :

Si vous avez la version 32Bits i386. (Ajoutez ce dépôt)

Code:

wget http://www.virtualbox.org/download/1.5.6/virtualbox_1.5.6-28266_Ubuntu_hardy_i386.deb ; sudo dpkg -i virtualbox_1.5.6-28266_Ubuntu_hardy_i386.deb


Pour La Version 64Bits amd64. (Ajoutez ce dépôt)

Code:

wget http://www.virtualbox.org/download/1.5.6/virtualbox_1.5.6-28266_Ubuntu_hardy_amd64.deb ; sudo dpkg -i virtualbox_1.5.6-28266_Ubuntu_hardy_amd64.deb

et ça marche ...;)


CM MSI 990FXA-GD80 - AMD FX8150 8 x 3.6Ghz - G.SKILL KIT EXTREME3 2 X 4 GO PC17000 ARES CAS9 8192 Mo (2133 MHz), 9-11-10-28 - GeForce GTX560 1Go GDDR5 - Ubuntu 12.10 x86-64 dual boot avec W7 64bits

Hors ligne

#14 Le 22/06/2008, à 12:59

KS-Icare

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Salut fredthefrenchy !!!

Je ne sais pas si tu as lu mon tuto (plus haut), mais tu répètes exactement ce que j'ai marqué.

Le tuto est pour Hardy 8.04 32Bits ou 64Bits

Mais je préfère de mon point de vue perso virtualbox_1.5.6 mieux que virtualbox_1.6.2...C'est plus stable.


Acer Aspire 9920G-500Go LinuxMint 9 - 32Bits - ASUS 1201N -Ubuntu 10.04 LTS
ASUS 8730 500 Go Debian Squeeze - Et d'autres Distributions sous clés USB.
______________________________________________________________
Pas de multiboot - Totalement sous LINUX depuis la sortie d'Ubuntu 7.04

Hors ligne

#15 Le 26/06/2008, à 10:36

fredthefrenchy

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Salut KS-Icare,

J'ai bien lu ton tuto et c'est bien pour Hardy 8.04. Je parle bien de la version 1.5.6 . Ma question reste toujours pourquoi les dépôts sont en gutsy alors qu'on installe une version hardy dans ton tuto ?

Mais bon, c'est pas grave ...


CM MSI 990FXA-GD80 - AMD FX8150 8 x 3.6Ghz - G.SKILL KIT EXTREME3 2 X 4 GO PC17000 ARES CAS9 8192 Mo (2133 MHz), 9-11-10-28 - GeForce GTX560 1Go GDDR5 - Ubuntu 12.10 x86-64 dual boot avec W7 64bits

Hors ligne

#16 Le 26/06/2008, à 22:46

KS-Icare

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Pour la version VirtualBox 1.5.6, ce sont ces dépôts qui fonctionnent le mieux, si on utilise directement les dépôts Hardy, certains diront qu'ils ont des problèmes de dépendances.

Dont les erreurs sont :

Dépaquetage de virtualbox (à partir de virtualbox_1.5.6-28266_Ubuntu_hardy_amd64.deb) ...
dpkg : des problèmes de dépendances empêchent la configuration de virtualbox :
virtualbox dépend de libxalan110 ; cependant :
  Le paquet libxalan110 n'est pas installé.
virtualbox dépend de libxerces27 ; cependant :
  Le paquet libxerces27 n'est pas installé.
dpkg : erreur de traitement de virtualbox (--install) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
virtualbox

Avec se qui suit, il y a moins de problèmes.

sudo sh -c 'echo "# VirtualBox repository for Ubuntu Gutsy
deb http://www.virtualbox.org/debian gutsy non-free" \
> /etc/apt/sources.list.d/gutsy-virtualbox.list'
wget http://www.virtualbox.org/debian/innotek.asc -O- | sudo apt-key add -
sudo apt-get update
sudo apt-get -y install virtualbox

Tu peux utiliser ceci, mais avec quelques petites erreurs :

sudo sh -c 'echo "# VirtualBox repository for Ubuntu Hardy
deb http://www.virtualbox.org/debian hardy non-free" \
> /etc/apt/sources.list.d/hardy-virtualbox.list'
wget http://www.virtualbox.org/debian/innotek.asc -O- | sudo apt-key add -
sudo apt-get update
sudo apt-get -y install virtualbox

Mais tu peux Télécharger la version virtualbox_1.6.2-31466_Ubuntu_hardy_amd64.deb ou bien

virtualbox_1.6.2-31466_Ubuntu_hardy_i386.deb sur le site de sun et tu passes au tuto à partir

de Autoriser l'utilisation de VirtualBox par votre compte utilisateur:

Mais ça change rien au principe, ça marche bien.

ça répond à ta question ?!!!

Dernière modification par KS-Icare (Le 27/06/2008, à 07:16)


Acer Aspire 9920G-500Go LinuxMint 9 - 32Bits - ASUS 1201N -Ubuntu 10.04 LTS
ASUS 8730 500 Go Debian Squeeze - Et d'autres Distributions sous clés USB.
______________________________________________________________
Pas de multiboot - Totalement sous LINUX depuis la sortie d'Ubuntu 7.04

Hors ligne

#17 Le 28/06/2008, à 18:32

fredthefrenchy

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Oui, Oui, tout à fait. Comme ça je comprends mieux et vais dormir moins con ce soir.

Merci.


CM MSI 990FXA-GD80 - AMD FX8150 8 x 3.6Ghz - G.SKILL KIT EXTREME3 2 X 4 GO PC17000 ARES CAS9 8192 Mo (2133 MHz), 9-11-10-28 - GeForce GTX560 1Go GDDR5 - Ubuntu 12.10 x86-64 dual boot avec W7 64bits

Hors ligne

#18 Le 29/06/2008, à 14:08

KS-Icare

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Je vois !!!  un comique du département du Rhône

L'art de vivre est une tactique où nous serons longtemps novices.


Acer Aspire 9920G-500Go LinuxMint 9 - 32Bits - ASUS 1201N -Ubuntu 10.04 LTS
ASUS 8730 500 Go Debian Squeeze - Et d'autres Distributions sous clés USB.
______________________________________________________________
Pas de multiboot - Totalement sous LINUX depuis la sortie d'Ubuntu 7.04

Hors ligne

#19 Le 02/07/2008, à 09:52

Xarkam

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Il n'y a plus de dépôt Debian/ubuntu sur le site de Virtualbox.
Il faut passer par le download center de sun si l'ont veux les paquets deb.

Virtualbox a écrit :

Sorry, we cannot provide a Debian/Ubuntu repository anymore. Please download your desired package from the Sun Download Center!


Blog | Ubuntu User 153
---
Asus M3A32 | AMD 64 Phenom x4 | Corsair 4GB | NVIDIA GeForce 9800GT
Utilisateur d'Ubuntu, Debian, Frugalware et Windows Seven

Hors ligne

#20 Le 02/07/2008, à 20:00

KS-Icare

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Pour virtualbox_1.6.2, c'est exact, il faut passer par sun.

Télécharger la version virtualbox_1.6.2, La version 32Bits ou 64Bits

Dont voici le lien :

https://cds.sun.com/is-bin/INTERSHOP.en … DS-CDS_SMI

Dernière modification par KS-Icare (Le 02/07/2008, à 20:05)


Acer Aspire 9920G-500Go LinuxMint 9 - 32Bits - ASUS 1201N -Ubuntu 10.04 LTS
ASUS 8730 500 Go Debian Squeeze - Et d'autres Distributions sous clés USB.
______________________________________________________________
Pas de multiboot - Totalement sous LINUX depuis la sortie d'Ubuntu 7.04

Hors ligne

#21 Le 07/07/2008, à 21:07

Charlot-l

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Salut
Merci pour tes infos
j'ai moi aussi suivi ton tuto pour installer et utiliser virtual box mais il me reste un problème :

J'ai Virtualbox 1.6.2 sur kubuntu 8.04 et j'ai besoin de win xp pour syncroniser mon pda
Le problème c'est que j'ai accès à l'usb mais pas à la syncro via usb
j'ai suivi toutes les recommandations de ton tuto et des autres tuto sérieux je ne trouve pas la solution.......
Comment paramétrer mon port com pour que cette syncro soit possible?????????

Merci de ton aide et je pense que si tu réussis à me dépanner ca va aider bcp d'autres ubuntiens..........
je reste à ta disposition..








Quad 6600 4Go Raptor G8800Gts ZALMANs .. Kde8.04 Mandriva xp

#22 Le 07/07/2008, à 21:11

Charlot-l

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Salut
Merci pour tes infos
j'ai moi aussi suivi ton tuto pour installer et utiliser virtual box mais il me reste un problème :

J'ai Virtualbox 1.6.2 sur kubuntu 8.04 et j'ai besoin de win xp pour syncroniser mon pda
Le problème c'est que j'ai accès à l'usb mais pas à la syncro via usb
j'ai suivi toutes les recommandations de ton tuto et des autres tuto sérieux je ne trouve pas la solution.......
Comment paramétrer mon port com pour que cette syncro soit possible?????????

Merci de ton aide et je pense que si tu réussis à me dépanner ca va aider bcp d'autres ubuntiens..........
je reste à ta disposition..









Quad 6600 4Go Raptor G8800Gts ZALMANs .. Kde8.04 Mandriva xp

#23 Le 07/07/2008, à 22:25

KS-Icare

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Bonsoir

Je ne connais pas la marque ni le modèle de ton PDA.

Mais une petite question.

Tu as déjà installé et testé  ActiveSync ?

Normalement avec "ActiveSync" tu ne devrais pas avoir de problèmes.

Tiens nous au courant...Merci.

Dernière modification par KS-Icare (Le 08/07/2008, à 18:27)


Acer Aspire 9920G-500Go LinuxMint 9 - 32Bits - ASUS 1201N -Ubuntu 10.04 LTS
ASUS 8730 500 Go Debian Squeeze - Et d'autres Distributions sous clés USB.
______________________________________________________________
Pas de multiboot - Totalement sous LINUX depuis la sortie d'Ubuntu 7.04

Hors ligne

#24 Le 09/07/2008, à 16:59

charlot-l

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Salut
Merci pour ta réponse

Alors mon pda est un mio A 701 il se connecte comme un pda standard via usb, il est reconnu comme "Mitac international corporation Mio A 701 DigitalWalker PPCPhone" par virtualbox.
à la première connection j'ai pu lancer le cd d'installation sur xp qui a reconnu le pda et installé le driver pda ainsi qu'activsyncro jusqu'ici tout va bien sauf que...........

............ après, pas moyen de lancer la syncro c'est comme si le pda n'été pas connecté..
bref je redémarre pc et pda , je réessaye  plusieurs fois et un message d'erreur apparait : "Microsoft ActivSync ne peut ouvrir le port COM. " alors j'ai ajouté un port COM .....rien n'y fait

J'ai ensuite essayé de bouiner quelques réglages dans la config de la machine virtuelle mais je ne sais pas vraiment comment faire et si c'est là la solution éclaire moi là dessus stp





Quad 6600 4Go Raptor G8800Gts ZALMANs .. Kde8.04 Mandriva xp opensolaris 2008.05
KubuntuLogo.png

#25 Le 09/07/2008, à 23:18

Charlot-l

Re : L'Autre Manière d'Installer VirtualBox sous Hardy avec Support USB

Resalut

d'autres précisions :
d'une part lorsque je me connecte activsync ouvre une connexion réseau local, Xp me dit que la connection est limité ou inexistante

d'autre part activ sync propose un outil de dépannage. La conclusion de l'analyse est :
1 - impossible d'obtenir une adresse IP pour l'appareil. Découvrez les dernières solutions aux problème d'adresses IP sur http://go.microsoft.com/fwlink/?Linkld=65461
2 - Impossible d'établir la connection entre le PC et l'appareil. solution :http://go.microsoft.com/fwlink/?Linkld=65257

Or j'ai bien essayé les solutions proposés par microsoft ne fonctionnent pas

je suis vraiment dans l'impasse

Malgrès tout je pense que ca doit etre un tout petit problème de configuration de virtual box

Qu'en penses tu???


Quad 6600 4Go Raptor G8800Gts ZALMANs .. Kde8.04 Mandriva opensolaris 2008.05 Xp

Hors ligne

Haut de page ↑